YIi2 高级项目模板 - 安装

YIi2 高级项目模板 - 安装

Yii2 高级项目模板需要的 PHP 最低版本为 5.4.0 安装 安装之前 需要安装 Composer (PHP 依赖管理工具) Composer 安装完成 后 运行 composer create-project --prefer-dist yiisoft/yii2-app-advanced D:\yii-application 以上命令

curl_multi_init Curl 多线程的使用

平时使用 php curl 获取远程数据的情况很常见,各种 API 的调用。 但是批量获取的时候 不太多见 (采集除外)。但是多线程的 好处很明显的,10个链接同时去请求,使用时间缩短到原来的 1/10 [不是特别严谨]。 下面是使用 PHP Curl 多线程的代码,当然官方手册都有,这儿只是做个记录 <?php $url = 'http:/